For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a Status List

Create an unencrypted Status List as a DID-Linked Resource using cheqd Studio.

Create an unencrypted StatusList2021 or BitstringStatusList credential status list.

post
/credential-status/create/unencrypted

This endpoint creates an unencrypted StatusList2021 or BitstringStatusList credential status list. The StatusList is published as a DID-Linked Resource on ledger. As input, it can can take input parameters needed to create the status list via a form, or a pre-assembled status list in JSON format. Status lists can be created as either encrypted or unencrypted.

Authorizations
x-api-keystringRequired
Query parameters
listTypestring · enumRequired

The type of Status List.

Possible values:
statusPurposeone ofRequired

The purpose of the status list.

  • For StatusList2021: Single value (revocation or suspension)
  • For BitstringStatusList: Can accept multiple values as array of strings

Once this is set, it cannot be changed. A new status list must be created to change the purpose.

Example: {"summary":"Single purpose (StatusList2021)","value":"revocation"}
string · enumOptionalPossible values:
or
Body
didstring · uriRequired

DID of the StatusList2021 or BitstringStatusList publisher.

statusListNamestringRequired

The name of the StatusList2021 or BitstringStatusList DID-Linked Resource to be created.

lengthintegerOptional

The length of the status list to be created. The default and minimum length is 131072 which is 16kb.

Default: 131072
encodingstring · enumOptional

The encoding format of the StatusList2021 or BitstringStatusList (only base64url supported) DiD-Linked Resource to be created.

Default: base64urlPossible values:
statusListVersionstringOptional

Optional field to assign a human-readable version in the StatusList2021 or BitstringStatusList DID-Linked Resource.

statusSizeinteger · min: 1Optional

Only for BitstringStatusList: bits per credential, used to support multiple status in same list.

credentialCategorystring · enumOptional

Category of credentials this status list is for.

Possible values:
ttlinteger · min: 1000Optional

Only for BitstringStatusList: Time to Live in Miliseconds (not expiry).

Responses
200

The request was successful.

application/json
createdbooleanOptionalExample: true
resourceMetadataobjectOptionalExample: {"resourceURI":"did:cheqd:testnet:7c2b990c-3d05-4ebf-91af-f4f4d0091d2e/resources/5945233a-a4b5-422b-b893-eaed5cedd2dc","resourceCollectionId":"7c2b990c-3d05-4ebf-91af-f4f4d0091d2e","resourceId":"5945233a-a4b5-422b-b893-eaed5cedd2dc","resourceName":"cheqd-employee-credentials","resourceType":"StatusList2021Revocation","mediaType":"application/json","resourceVersion":"1.0.0","created":"2023-06-26T11:45:20Z","checksum":"909e22e371a41afbb96c330a97752cf7c8856088f1f937f87decbef06cbe9ca2","previousVersionId":null,"nextVersionId":null}
post/credential-status/create/unencrypted
POST /credential-status/create/unencrypted?listType=StatusList2021&statusPurpose=revocation HTTP/1.1
Host: studio-api.cheqd.net
x-api-key: YOUR_API_KEY
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 149

"did='did:cheqd:testnet:7c2b990c-3d05-4ebf-91af-f4f4d0091d2e'&statusListName='cheqd-employee-credentials'&length=140000&encoding='base64url'"
{
  "created": true,
  "resource": {
    "StatusList2021": {
      "encodedList": "H4sIAAAAAAAAA-3BAQ0AAADCoPdPbQ8HFAAAAAAAAAAAAAAAAAAAAADwaDhDr_xcRAAA",
      "type": "StatusList2021Revocation",
      "validFrom": "2023-06-26T11:45:19.349Z"
    },
    "metadata": {
      "type": "StatusList2021Revocation",
      "encoding": "base64url",
      "encrypted": false
    }
  },
  "resourceMetadata": {
    "resourceURI": "did:cheqd:testnet:7c2b990c-3d05-4ebf-91af-f4f4d0091d2e/resources/5945233a-a4b5-422b-b893-eaed5cedd2dc",
    "resourceCollectionId": "7c2b990c-3d05-4ebf-91af-f4f4d0091d2e",
    "resourceId": "5945233a-a4b5-422b-b893-eaed5cedd2dc",
    "resourceName": "cheqd-employee-credentials",
    "resourceType": "StatusList2021Revocation",
    "mediaType": "application/json",
    "resourceVersion": "1.0.0",
    "created": "2023-06-26T11:45:20Z",
    "checksum": "909e22e371a41afbb96c330a97752cf7c8856088f1f937f87decbef06cbe9ca2",
    "previousVersionId": null,
    "nextVersionId": null
  }
}

Last updated

Was this helpful?